searchData={"items":[{"type":"module","title":"ElixirLokaliseApi","doc":"`ElixirLokaliseApi` is an official client (interface) for the Lokalise APIv2.\r\n\r\nLearn more about Lokalise API at\r\n[https://developers.lokalise.com/reference/lokalise-rest-api](https://developers.lokalise.com/reference/lokalise-rest-api).\r\n\r\nTo get started, you will need an API token that can be generated in your\r\nLokalise profile.\r\n\r\nThis token should be stored in your config file, for example `dev.exs`:\r\n\r\n    config :elixir_lokalise_api, api_token: {:system, \"LOKALISE_API_TOKEN\"}\r\n\r\nNext, use one of the endpoints to send requests, for example:\r\n\r\n    {:ok, project} = ElixirLokaliseApi.Projects.find(\"123.abc\")","ref":"ElixirLokaliseApi.html"},{"type":"module","title":"ElixirLokaliseApi.Branches","doc":"Branches endpoint.","ref":"ElixirLokaliseApi.Branches.html"},{"type":"function","title":"ElixirLokaliseApi.Branches.all/2","doc":"Finds a collection of items under the given endpoint.","ref":"ElixirLokaliseApi.Branches.html#all/2"},{"type":"function","title":"ElixirLokaliseApi.Branches.create/2","doc":"Creates an item under the given endpoint.","ref":"ElixirLokaliseApi.Branches.html#create/2"},{"type":"function","title":"ElixirLokaliseApi.Branches.delete/2","doc":"Deletes an item under the given endpoint.","ref":"ElixirLokaliseApi.Branches.html#delete/2"},{"type":"function","title":"ElixirLokaliseApi.Branches.find/3","doc":"Finds an item under the given endpoint.","ref":"ElixirLokaliseApi.Branches.html#find/3"},{"type":"function","title":"ElixirLokaliseApi.Branches.merge/3","doc":"Merges two branches inside the given project.","ref":"ElixirLokaliseApi.Branches.html#merge/3"},{"type":"function","title":"ElixirLokaliseApi.Branches.update/3","doc":"Updates an item under the given endpoint.","ref":"ElixirLokaliseApi.Branches.html#update/3"},{"type":"module","title":"ElixirLokaliseApi.Config","doc":"Stores configuration variables used to communicate with Lokalise APIv2.\nAll settings also accept `{:system, \"ENV_VAR_NAME\"}` to read their\nvalues from environment variables at runtime.","ref":"ElixirLokaliseApi.Config.html"},{"type":"function","title":"ElixirLokaliseApi.Config.api_token/0","doc":"Returns Lokalise APIv2 token. Set it inside your `mix.exs`:\n    config :elixir_lokalise_api, api_token: \"YOUR_API_TOKEN\"","ref":"ElixirLokaliseApi.Config.html#api_token/0"},{"type":"function","title":"ElixirLokaliseApi.Config.base_url/1","doc":"Returns the base URL of the Lokalise APIv2 or OAuth2. Set it inside your `mix.exs`:\n    config :elixir_lokalise_api, base_url_api: \"YOUR_API_BASE_URL\"\n    config :elixir_lokalise_api, base_url_oauth2: \"YOUR_OAUTH2_BASE_URL\"\n\nYou can also use `{:system, \"ENV_VAR_NAME\"}` to set it via environment variables.","ref":"ElixirLokaliseApi.Config.html#base_url/1"},{"type":"function","title":"ElixirLokaliseApi.Config.from_env/2","doc":"A light wrapper around `Application.get_env/2`, providing automatic support for\n`{:system, \"VAR\"}` tuples. Based on https://github.com/danielberkompas/ex_twilio/blob/master/lib/ex_twilio/config.ex","ref":"ElixirLokaliseApi.Config.html#from_env/2"},{"type":"function","title":"ElixirLokaliseApi.Config.oauth2_client_id/0","doc":"Returns Lokalise OAuth2 client ID. Set it inside your `mix.exs`:\n    config :elixir_lokalise_api, oauth2_client_id: \"YOUR_CLIENT_ID\"","ref":"ElixirLokaliseApi.Config.html#oauth2_client_id/0"},{"type":"function","title":"ElixirLokaliseApi.Config.oauth2_client_secret/0","doc":"Returns Lokalise OAuth2 client secret. Set it inside your `mix.exs`:\n    config :elixir_lokalise_api, oauth2_client_secret: \"YOUR_CLIENT_ID\"","ref":"ElixirLokaliseApi.Config.html#oauth2_client_secret/0"},{"type":"function","title":"ElixirLokaliseApi.Config.oauth2_token/0","doc":"Returns Lokalise APIv2 OAuth2 token. Set it inside your `mix.exs`:\n    config :elixir_lokalise_api, oauth2_token: \"YOUR_API_TOKEN\"\n\nOr use Config.put_env/2 to set it on the fly:\n    Config.put_env(:oauth2_token, \"123abc\")","ref":"ElixirLokaliseApi.Config.html#oauth2_token/0"},{"type":"function","title":"ElixirLokaliseApi.Config.put_env/2","doc":"A wrapper around `Application.put_env/3`","ref":"ElixirLokaliseApi.Config.html#put_env/2"},{"type":"function","title":"ElixirLokaliseApi.Config.request_options/0","doc":"","ref":"ElixirLokaliseApi.Config.html#request_options/0"},{"type":"function","title":"ElixirLokaliseApi.Config.version/0","doc":"Returns package version","ref":"ElixirLokaliseApi.Config.html#version/0"},{"type":"module","title":"ElixirLokaliseApi.Contributors","doc":"Contributors endpoint.","ref":"ElixirLokaliseApi.Contributors.html"},{"type":"function","title":"ElixirLokaliseApi.Contributors.all/2","doc":"Finds a collection of items under the given endpoint.","ref":"ElixirLokaliseApi.Contributors.html#all/2"},{"type":"function","title":"ElixirLokaliseApi.Contributors.create/2","doc":"Creates an item under the given endpoint.","ref":"ElixirLokaliseApi.Contributors.html#create/2"},{"type":"function","title":"ElixirLokaliseApi.Contributors.delete/2","doc":"Deletes an item under the given endpoint.","ref":"ElixirLokaliseApi.Contributors.html#delete/2"},{"type":"function","title":"ElixirLokaliseApi.Contributors.find/3","doc":"Finds an item under the given endpoint.","ref":"ElixirLokaliseApi.Contributors.html#find/3"},{"type":"function","title":"ElixirLokaliseApi.Contributors.update/3","doc":"Updates an item under the given endpoint.","ref":"ElixirLokaliseApi.Contributors.html#update/3"},{"type":"module","title":"ElixirLokaliseApi.DynamicResource","doc":"Dynamically adds API methods to the endpoints.\n\nUsage example:\n\n    use ElixirLokaliseApi.DynamicResource,\n      import: [:find2, :all2, :create2, :delete2, :update3]\n\nThe above code equips the target module with multiple API methods that can be conveniently called:\n\n    {:ok, contributor} = ElixirLokaliseApi.Contributors.find(project_id, contributor_id)","ref":"ElixirLokaliseApi.DynamicResource.html"},{"type":"module","title":"ElixirLokaliseApi.Files","doc":"Files endpoint.","ref":"ElixirLokaliseApi.Files.html"},{"type":"function","title":"ElixirLokaliseApi.Files.all/2","doc":"Finds a collection of items under the given endpoint.","ref":"ElixirLokaliseApi.Files.html#all/2"},{"type":"function","title":"ElixirLokaliseApi.Files.delete/2","doc":"Deletes an item under the given endpoint.","ref":"ElixirLokaliseApi.Files.html#delete/2"},{"type":"function","title":"ElixirLokaliseApi.Files.download/2","doc":"Downloads a translation bundle from the project.","ref":"ElixirLokaliseApi.Files.html#download/2"},{"type":"function","title":"ElixirLokaliseApi.Files.upload/2","doc":"Uploads base64-encoded translations to the project.","ref":"ElixirLokaliseApi.Files.html#upload/2"},{"type":"module","title":"ElixirLokaliseApi.KeyComments","doc":"Key comments endpoint.","ref":"ElixirLokaliseApi.KeyComments.html"},{"type":"function","title":"ElixirLokaliseApi.KeyComments.all/3","doc":"Finds a collection of items under the given endpoint.","ref":"ElixirLokaliseApi.KeyComments.html#all/3"},{"type":"function","title":"ElixirLokaliseApi.KeyComments.create/3","doc":"Creates an item under the given endpoint.","ref":"ElixirLokaliseApi.KeyComments.html#create/3"},{"type":"function","title":"ElixirLokaliseApi.KeyComments.delete/3","doc":"Deletes an item under the given endpoint.","ref":"ElixirLokaliseApi.KeyComments.html#delete/3"},{"type":"function","title":"ElixirLokaliseApi.KeyComments.find/3","doc":"Finds an item under the given endpoint.","ref":"ElixirLokaliseApi.KeyComments.html#find/3"},{"type":"module","title":"ElixirLokaliseApi.Keys","doc":"Keys endpoint.","ref":"ElixirLokaliseApi.Keys.html"},{"type":"function","title":"ElixirLokaliseApi.Keys.all/2","doc":"Finds a collection of items under the given endpoint.","ref":"ElixirLokaliseApi.Keys.html#all/2"},{"type":"function","title":"ElixirLokaliseApi.Keys.create/2","doc":"Creates an item under the given endpoint.","ref":"ElixirLokaliseApi.Keys.html#create/2"},{"type":"function","title":"ElixirLokaliseApi.Keys.delete/2","doc":"Deletes an item under the given endpoint.","ref":"ElixirLokaliseApi.Keys.html#delete/2"},{"type":"function","title":"ElixirLokaliseApi.Keys.delete_bulk/2","doc":"Deletes multiple items under the given endpoint.","ref":"ElixirLokaliseApi.Keys.html#delete_bulk/2"},{"type":"function","title":"ElixirLokaliseApi.Keys.find/3","doc":"Finds an item under the given endpoint.","ref":"ElixirLokaliseApi.Keys.html#find/3"},{"type":"function","title":"ElixirLokaliseApi.Keys.update/3","doc":"Updates an item under the given endpoint.","ref":"ElixirLokaliseApi.Keys.html#update/3"},{"type":"function","title":"ElixirLokaliseApi.Keys.update_bulk/2","doc":"Updates multiple items under the given endpoint.","ref":"ElixirLokaliseApi.Keys.html#update_bulk/2"},{"type":"module","title":"ElixirLokaliseApi.OAuth2.Auth","doc":"OAuth 2 authentication endpoint.","ref":"ElixirLokaliseApi.OAuth2.Auth.html"},{"type":"function","title":"ElixirLokaliseApi.OAuth2.Auth.auth/3","doc":"Generates an authentication URL to obtain\r\nan authorization code.","ref":"ElixirLokaliseApi.OAuth2.Auth.html#auth/3"},{"type":"function","title":"ElixirLokaliseApi.OAuth2.Auth.refresh/1","doc":"Refreshes an OAuth2 token.","ref":"ElixirLokaliseApi.OAuth2.Auth.html#refresh/1"},{"type":"function","title":"ElixirLokaliseApi.OAuth2.Auth.token/1","doc":"Requests an OAuth2 token.","ref":"ElixirLokaliseApi.OAuth2.Auth.html#token/1"},{"type":"module","title":"ElixirLokaliseApi.Orders","doc":"Orders endpoint.","ref":"ElixirLokaliseApi.Orders.html"},{"type":"function","title":"ElixirLokaliseApi.Orders.all/2","doc":"Finds a collection of items under the given endpoint.","ref":"ElixirLokaliseApi.Orders.html#all/2"},{"type":"function","title":"ElixirLokaliseApi.Orders.create/2","doc":"Creates an item under the given endpoint.","ref":"ElixirLokaliseApi.Orders.html#create/2"},{"type":"function","title":"ElixirLokaliseApi.Orders.find/3","doc":"Finds an item under the given endpoint.","ref":"ElixirLokaliseApi.Orders.html#find/3"},{"type":"module","title":"ElixirLokaliseApi.Pagination","doc":"Provides methods to work with paginated collections.\n\nUsually resources collections returned by the API are paginated, therefore\nuse these methods to work with pagination data.","ref":"ElixirLokaliseApi.Pagination.html"},{"type":"function","title":"ElixirLokaliseApi.Pagination.first_page?/1","doc":"Checks whether the returned page is the first one.","ref":"ElixirLokaliseApi.Pagination.html#first_page?/1"},{"type":"function","title":"ElixirLokaliseApi.Pagination.last_page?/1","doc":"Checks whether the returned page is the last one.","ref":"ElixirLokaliseApi.Pagination.html#last_page?/1"},{"type":"function","title":"ElixirLokaliseApi.Pagination.next_page?/1","doc":"Checks whether the next page is available.","ref":"ElixirLokaliseApi.Pagination.html#next_page?/1"},{"type":"function","title":"ElixirLokaliseApi.Pagination.prev_page?/1","doc":"Checks whether the previous page is available.","ref":"ElixirLokaliseApi.Pagination.html#prev_page?/1"},{"type":"module","title":"ElixirLokaliseApi.PaymentCards","doc":"Payment cards endpoint.","ref":"ElixirLokaliseApi.PaymentCards.html"},{"type":"function","title":"ElixirLokaliseApi.PaymentCards.all/1","doc":"Finds a collection of items under the given endpoint.","ref":"ElixirLokaliseApi.PaymentCards.html#all/1"},{"type":"function","title":"ElixirLokaliseApi.PaymentCards.create/1","doc":"Creates an item under the given endpoint.","ref":"ElixirLokaliseApi.PaymentCards.html#create/1"},{"type":"function","title":"ElixirLokaliseApi.PaymentCards.delete/1","doc":"Deletes an item under the given endpoint.","ref":"ElixirLokaliseApi.PaymentCards.html#delete/1"},{"type":"function","title":"ElixirLokaliseApi.PaymentCards.find/1","doc":"Finds an item under the given endpoint.","ref":"ElixirLokaliseApi.PaymentCards.html#find/1"},{"type":"module","title":"ElixirLokaliseApi.PermissionTemplates","doc":"Permission templates endpoint.","ref":"ElixirLokaliseApi.PermissionTemplates.html"},{"type":"function","title":"ElixirLokaliseApi.PermissionTemplates.all/2","doc":"Finds a collection of items under the given endpoint.","ref":"ElixirLokaliseApi.PermissionTemplates.html#all/2"},{"type":"module","title":"ElixirLokaliseApi.Processor","doc":"Performs processing of user-supplied data and data returned by the API.","ref":"ElixirLokaliseApi.Processor.html"},{"type":"function","title":"ElixirLokaliseApi.Processor.encode/1","doc":"Encodes user-supplied data sent to the API.","ref":"ElixirLokaliseApi.Processor.html#encode/1"},{"type":"function","title":"ElixirLokaliseApi.Processor.parse/3","doc":"Parses data returned by the API. It can return a model, a collection,\nand a raw response. All returned values are represented as tuples with two elements\n(`:ok` and the actual data):\n\n    {:ok, data} = ElixirLokaliseApi.Projects.find(project_id)\n\nIf an error is raised by the API, the returned tuple contains an `:error` atom, the error details,\nand the HTTP status code:\n\n    {:error, error, status} = ElixirLokaliseApi.Projects.find(nil)","ref":"ElixirLokaliseApi.Processor.html#parse/3"},{"type":"module","title":"ElixirLokaliseApi.ProjectComments","doc":"Project comments endpoint.","ref":"ElixirLokaliseApi.ProjectComments.html"},{"type":"function","title":"ElixirLokaliseApi.ProjectComments.all/2","doc":"Finds a collection of items under the given endpoint.","ref":"ElixirLokaliseApi.ProjectComments.html#all/2"},{"type":"module","title":"ElixirLokaliseApi.ProjectLanguages","doc":"Project languages endpoint.","ref":"ElixirLokaliseApi.ProjectLanguages.html"},{"type":"function","title":"ElixirLokaliseApi.ProjectLanguages.all/2","doc":"Finds a collection of items under the given endpoint.","ref":"ElixirLokaliseApi.ProjectLanguages.html#all/2"},{"type":"function","title":"ElixirLokaliseApi.ProjectLanguages.create/2","doc":"Creates an item under the given endpoint.","ref":"ElixirLokaliseApi.ProjectLanguages.html#create/2"},{"type":"function","title":"ElixirLokaliseApi.ProjectLanguages.delete/2","doc":"Deletes an item under the given endpoint.","ref":"ElixirLokaliseApi.ProjectLanguages.html#delete/2"},{"type":"function","title":"ElixirLokaliseApi.ProjectLanguages.find/3","doc":"Finds an item under the given endpoint.","ref":"ElixirLokaliseApi.ProjectLanguages.html#find/3"},{"type":"function","title":"ElixirLokaliseApi.ProjectLanguages.update/3","doc":"Updates an item under the given endpoint.","ref":"ElixirLokaliseApi.ProjectLanguages.html#update/3"},{"type":"module","title":"ElixirLokaliseApi.Projects","doc":"Projects endpoint.","ref":"ElixirLokaliseApi.Projects.html"},{"type":"function","title":"ElixirLokaliseApi.Projects.all/1","doc":"Finds a collection of items under the given endpoint.","ref":"ElixirLokaliseApi.Projects.html#all/1"},{"type":"function","title":"ElixirLokaliseApi.Projects.create/1","doc":"Creates an item under the given endpoint.","ref":"ElixirLokaliseApi.Projects.html#create/1"},{"type":"function","title":"ElixirLokaliseApi.Projects.delete/1","doc":"Deletes an item under the given endpoint.","ref":"ElixirLokaliseApi.Projects.html#delete/1"},{"type":"function","title":"ElixirLokaliseApi.Projects.empty/1","doc":"Empties a given project by removing all translation keys and values.","ref":"ElixirLokaliseApi.Projects.html#empty/1"},{"type":"function","title":"ElixirLokaliseApi.Projects.find/1","doc":"Finds an item under the given endpoint.","ref":"ElixirLokaliseApi.Projects.html#find/1"},{"type":"function","title":"ElixirLokaliseApi.Projects.update/2","doc":"Updates an item under the given endpoint.","ref":"ElixirLokaliseApi.Projects.html#update/2"},{"type":"module","title":"ElixirLokaliseApi.QueuedProcesses","doc":"Queued processes endpoint.","ref":"ElixirLokaliseApi.QueuedProcesses.html"},{"type":"function","title":"ElixirLokaliseApi.QueuedProcesses.all/2","doc":"Finds a collection of items under the given endpoint.","ref":"ElixirLokaliseApi.QueuedProcesses.html#all/2"},{"type":"function","title":"ElixirLokaliseApi.QueuedProcesses.find/3","doc":"Finds an item under the given endpoint.","ref":"ElixirLokaliseApi.QueuedProcesses.html#find/3"},{"type":"module","title":"ElixirLokaliseApi.Request","doc":"Sends HTTP requests to the Lokalise APIv2","ref":"ElixirLokaliseApi.Request.html"},{"type":"function","title":"ElixirLokaliseApi.Request.delete/3","doc":"Issues a DELETE request to the given url.\n\nReturns `{:ok, response}` if the request is successful, `{:error, reason}`\notherwise.\n\nSee `request/5` for more detailed information.","ref":"ElixirLokaliseApi.Request.html#delete/3"},{"type":"function","title":"ElixirLokaliseApi.Request.delete!/3","doc":"Issues a DELETE request to the given url, raising an exception in case of\nfailure.\n\nIf the request does not fail, the response is returned.\n\nSee `request!/5` for more detailed information.","ref":"ElixirLokaliseApi.Request.html#delete!/3"},{"type":"function","title":"ElixirLokaliseApi.Request.do_request/3","doc":"Prepares and sends an HTTP request with the provided verb and options.","ref":"ElixirLokaliseApi.Request.html#do_request/3"},{"type":"function","title":"ElixirLokaliseApi.Request.get/3","doc":"Issues a GET request to the given url.\n\nReturns `{:ok, response}` if the request is successful, `{:error, reason}`\notherwise.\n\nSee `request/5` for more detailed information.","ref":"ElixirLokaliseApi.Request.html#get/3"},{"type":"function","title":"ElixirLokaliseApi.Request.get!/3","doc":"Issues a GET request to the given url, raising an exception in case of\nfailure.\n\nIf the request does not fail, the response is returned.\n\nSee `request!/5` for more detailed information.","ref":"ElixirLokaliseApi.Request.html#get!/3"},{"type":"function","title":"ElixirLokaliseApi.Request.head/3","doc":"Issues a HEAD request to the given url.\n\nReturns `{:ok, response}` if the request is successful, `{:error, reason}`\notherwise.\n\nSee `request/5` for more detailed information.","ref":"ElixirLokaliseApi.Request.html#head/3"},{"type":"function","title":"ElixirLokaliseApi.Request.head!/3","doc":"Issues a HEAD request to the given url, raising an exception in case of\nfailure.\n\nIf the request does not fail, the response is returned.\n\nSee `request!/5` for more detailed information.","ref":"ElixirLokaliseApi.Request.html#head!/3"},{"type":"function","title":"ElixirLokaliseApi.Request.options/3","doc":"Issues an OPTIONS request to the given url.\n\nReturns `{:ok, response}` if the request is successful, `{:error, reason}`\notherwise.\n\nSee `request/5` for more detailed information.","ref":"ElixirLokaliseApi.Request.html#options/3"},{"type":"function","title":"ElixirLokaliseApi.Request.options!/3","doc":"Issues a OPTIONS request to the given url, raising an exception in case of\nfailure.\n\nIf the request does not fail, the response is returned.\n\nSee `request!/5` for more detailed information.","ref":"ElixirLokaliseApi.Request.html#options!/3"},{"type":"function","title":"ElixirLokaliseApi.Request.patch/4","doc":"Issues a PATCH request to the given url.\n\nReturns `{:ok, response}` if the request is successful, `{:error, reason}`\notherwise.\n\nSee `request/5` for more detailed information.","ref":"ElixirLokaliseApi.Request.html#patch/4"},{"type":"function","title":"ElixirLokaliseApi.Request.patch!/4","doc":"Issues a PATCH request to the given url, raising an exception in case of\nfailure.\n\nIf the request does not fail, the response is returned.\n\nSee `request!/5` for more detailed information.","ref":"ElixirLokaliseApi.Request.html#patch!/4"},{"type":"function","title":"ElixirLokaliseApi.Request.post/4","doc":"Issues a POST request to the given url.\n\nReturns `{:ok, response}` if the request is successful, `{:error, reason}`\notherwise.\n\nSee `request/5` for more detailed information.","ref":"ElixirLokaliseApi.Request.html#post/4"},{"type":"function","title":"ElixirLokaliseApi.Request.post!/4","doc":"Issues a POST request to the given url, raising an exception in case of\nfailure.\n\nIf the request does not fail, the response is returned.\n\nSee `request!/5` for more detailed information.","ref":"ElixirLokaliseApi.Request.html#post!/4"},{"type":"function","title":"ElixirLokaliseApi.Request.process_headers/1","doc":"","ref":"ElixirLokaliseApi.Request.html#process_headers/1"},{"type":"function","title":"ElixirLokaliseApi.Request.process_request_body/1","doc":"","ref":"ElixirLokaliseApi.Request.html#process_request_body/1"},{"type":"function","title":"ElixirLokaliseApi.Request.process_request_headers/1","doc":"","ref":"ElixirLokaliseApi.Request.html#process_request_headers/1"},{"type":"function","title":"ElixirLokaliseApi.Request.process_request_options/1","doc":"","ref":"ElixirLokaliseApi.Request.html#process_request_options/1"},{"type":"function","title":"ElixirLokaliseApi.Request.process_request_params/1","doc":"","ref":"ElixirLokaliseApi.Request.html#process_request_params/1"},{"type":"function","title":"ElixirLokaliseApi.Request.process_request_url/1","doc":"","ref":"ElixirLokaliseApi.Request.html#process_request_url/1"},{"type":"function","title":"ElixirLokaliseApi.Request.process_response/1","doc":"","ref":"ElixirLokaliseApi.Request.html#process_response/1"},{"type":"function","title":"ElixirLokaliseApi.Request.process_response_body/1","doc":"","ref":"ElixirLokaliseApi.Request.html#process_response_body/1"},{"type":"function","title":"ElixirLokaliseApi.Request.process_response_chunk/1","doc":"","ref":"ElixirLokaliseApi.Request.html#process_response_chunk/1"},{"type":"function","title":"ElixirLokaliseApi.Request.process_response_headers/1","doc":"","ref":"ElixirLokaliseApi.Request.html#process_response_headers/1"},{"type":"function","title":"ElixirLokaliseApi.Request.process_response_status_code/1","doc":"","ref":"ElixirLokaliseApi.Request.html#process_response_status_code/1"},{"type":"function","title":"ElixirLokaliseApi.Request.process_status_code/1","doc":"","ref":"ElixirLokaliseApi.Request.html#process_status_code/1"},{"type":"function","title":"ElixirLokaliseApi.Request.process_url/1","doc":"","ref":"ElixirLokaliseApi.Request.html#process_url/1"},{"type":"function","title":"ElixirLokaliseApi.Request.put/4","doc":"Issues a PUT request to the given url.\n\nReturns `{:ok, response}` if the request is successful, `{:error, reason}`\notherwise.\n\nSee `request/5` for more detailed information.","ref":"ElixirLokaliseApi.Request.html#put/4"},{"type":"function","title":"ElixirLokaliseApi.Request.put!/4","doc":"Issues a PUT request to the given url, raising an exception in case of\nfailure.\n\nIf the request does not fail, the response is returned.\n\nSee `request!/5` for more detailed information.","ref":"ElixirLokaliseApi.Request.html#put!/4"},{"type":"function","title":"ElixirLokaliseApi.Request.request/1","doc":"Issues an HTTP request using an `HTTPoison.Request` struct.\n\nThis function returns `{:ok, response}`, `{:ok, async_response}`, or `{:ok, maybe_redirect}`\nif the request is successful, `{:error, reason}` otherwise.","ref":"ElixirLokaliseApi.Request.html#request/1"},{"type":"function","title":"Redirect handling - ElixirLokaliseApi.Request.request/1","doc":"If the option `:follow_redirect` is given, HTTP redirects are automatically follow if\nthe method is set to `:get` or `:head` and the response's `status_code` is `301`, `302` or\n`307`.\n\nIf the method is set to `:post`, then the only `status_code` that get's automatically\nfollowed is `303`.\n\nIf any other method or `status_code` is returned, then this function returns a\nreturns a `{:ok, %HTTPoison.MaybeRedirect{}}` containing the `redirect_url` for you to\nre-request with the method set to `:get`.","ref":"ElixirLokaliseApi.Request.html#request/1-redirect-handling"},{"type":"function","title":"Examples - ElixirLokaliseApi.Request.request/1","doc":"request = %HTTPoison.Request{\n      method: :post,\n      url: \"https://my.website.com\",\n      body: \"{\\\"foo\\\": 3}\",\n      headers: [{\"Accept\", \"application/json\"}]\n    }\n\n    request(request)","ref":"ElixirLokaliseApi.Request.html#request/1-examples"},{"type":"function","title":"ElixirLokaliseApi.Request.request/5","doc":"Issues an HTTP request with the given method to the given url.\n\nThis function is usually used indirectly by `get/3`, `post/4`, `put/4`, etc\n\nArgs:\n  * `method` - HTTP method as an atom (`:get`, `:head`, `:post`, `:put`,\n    `:delete`, etc.)\n  * `url` - target url as a binary string or char list\n  * `body` - request body. See more below\n  * `headers` - HTTP headers as an orddict (e.g., `[{\"Accept\", \"application/json\"}]`)\n  * `options` - Keyword list of options\n\nBody: see type `HTTPoison.Request`\n\nOptions: see type `HTTPoison.Request`\n\nThis function returns `{:ok, response}`, `{:ok, async_response}`, or `{:ok, maybe_redirect}`\nif the request is successful, `{:error, reason}` otherwise.","ref":"ElixirLokaliseApi.Request.html#request/5"},{"type":"function","title":"Redirect handling - ElixirLokaliseApi.Request.request/5","doc":"If the option `:follow_redirect` is given, HTTP redirects are automatically follow if\nthe method is set to `:get` or `:head` and the response's `status_code` is `301`, `302` or\n`307`.\n\nIf the method is set to `:post`, then the only `status_code` that get's automatically\nfollowed is `303`.\n\nIf any other method or `status_code` is returned, then this function returns a\nreturns a `{:ok, %HTTPoison.MaybeRedirect{}}` containing the `redirect_url` for you to\nre-request with the method set to `:get`.","ref":"ElixirLokaliseApi.Request.html#request/5-redirect-handling"},{"type":"function","title":"Examples - ElixirLokaliseApi.Request.request/5","doc":"request(:post, \"https://my.website.com\", \"{\\\"foo\\\": 3}\", [{\"Accept\", \"application/json\"}])","ref":"ElixirLokaliseApi.Request.html#request/5-examples"},{"type":"function","title":"ElixirLokaliseApi.Request.request!/1","doc":"Issues an HTTP request an `HTTPoison.Request` struct.\nexception in case of failure.\n\n`request!/1` works exactly like `request/1` but it returns just the\nresponse in case of a successful request, raising an exception in case the\nrequest fails.","ref":"ElixirLokaliseApi.Request.html#request!/1"},{"type":"function","title":"ElixirLokaliseApi.Request.request!/5","doc":"Issues an HTTP request with the given method to the given url, raising an\nexception in case of failure.\n\n`request!/5` works exactly like `request/5` but it returns just the\nresponse in case of a successful request, raising an exception in case the\nrequest fails.","ref":"ElixirLokaliseApi.Request.html#request!/5"},{"type":"function","title":"ElixirLokaliseApi.Request.start/0","doc":"Starts HTTPoison and its dependencies.","ref":"ElixirLokaliseApi.Request.html#start/0"},{"type":"function","title":"ElixirLokaliseApi.Request.stream_next/1","doc":"Requests the next message to be streamed for a given `HTTPoison.AsyncResponse`.\n\nSee `request!/5` for more detailed information.","ref":"ElixirLokaliseApi.Request.html#stream_next/1"},{"type":"type","title":"ElixirLokaliseApi.Request.body/0","doc":"","ref":"ElixirLokaliseApi.Request.html#t:body/0"},{"type":"type","title":"ElixirLokaliseApi.Request.headers/0","doc":"","ref":"ElixirLokaliseApi.Request.html#t:headers/0"},{"type":"type","title":"ElixirLokaliseApi.Request.method/0","doc":"","ref":"ElixirLokaliseApi.Request.html#t:method/0"},{"type":"type","title":"ElixirLokaliseApi.Request.options/0","doc":"","ref":"ElixirLokaliseApi.Request.html#t:options/0"},{"type":"type","title":"ElixirLokaliseApi.Request.params/0","doc":"","ref":"ElixirLokaliseApi.Request.html#t:params/0"},{"type":"type","title":"ElixirLokaliseApi.Request.request/0","doc":"","ref":"ElixirLokaliseApi.Request.html#t:request/0"},{"type":"type","title":"ElixirLokaliseApi.Request.url/0","doc":"","ref":"ElixirLokaliseApi.Request.html#t:url/0"},{"type":"module","title":"ElixirLokaliseApi.Screenshots","doc":"Screenshots endpoint.","ref":"ElixirLokaliseApi.Screenshots.html"},{"type":"function","title":"ElixirLokaliseApi.Screenshots.all/2","doc":"Finds a collection of items under the given endpoint.","ref":"ElixirLokaliseApi.Screenshots.html#all/2"},{"type":"function","title":"ElixirLokaliseApi.Screenshots.create/2","doc":"Creates an item under the given endpoint.","ref":"ElixirLokaliseApi.Screenshots.html#create/2"},{"type":"function","title":"ElixirLokaliseApi.Screenshots.delete/2","doc":"Deletes an item under the given endpoint.","ref":"ElixirLokaliseApi.Screenshots.html#delete/2"},{"type":"function","title":"ElixirLokaliseApi.Screenshots.find/3","doc":"Finds an item under the given endpoint.","ref":"ElixirLokaliseApi.Screenshots.html#find/3"},{"type":"function","title":"ElixirLokaliseApi.Screenshots.update/3","doc":"Updates an item under the given endpoint.","ref":"ElixirLokaliseApi.Screenshots.html#update/3"},{"type":"module","title":"ElixirLokaliseApi.Segments","doc":"Segments endpoint.","ref":"ElixirLokaliseApi.Segments.html"},{"type":"function","title":"ElixirLokaliseApi.Segments.all/4","doc":"Finds a collection of items under the given endpoint.","ref":"ElixirLokaliseApi.Segments.html#all/4"},{"type":"function","title":"ElixirLokaliseApi.Segments.find/5","doc":"Finds an item under the given endpoint.","ref":"ElixirLokaliseApi.Segments.html#find/5"},{"type":"function","title":"ElixirLokaliseApi.Segments.update/5","doc":"Updates an item under the given endpoint.","ref":"ElixirLokaliseApi.Segments.html#update/5"},{"type":"module","title":"ElixirLokaliseApi.Snapshots","doc":"Snapshots endpoint.","ref":"ElixirLokaliseApi.Snapshots.html"},{"type":"function","title":"ElixirLokaliseApi.Snapshots.all/2","doc":"Finds a collection of items under the given endpoint.","ref":"ElixirLokaliseApi.Snapshots.html#all/2"},{"type":"function","title":"ElixirLokaliseApi.Snapshots.create/2","doc":"Creates an item under the given endpoint.","ref":"ElixirLokaliseApi.Snapshots.html#create/2"},{"type":"function","title":"ElixirLokaliseApi.Snapshots.delete/2","doc":"Deletes an item under the given endpoint.","ref":"ElixirLokaliseApi.Snapshots.html#delete/2"},{"type":"function","title":"ElixirLokaliseApi.Snapshots.restore/2","doc":"","ref":"ElixirLokaliseApi.Snapshots.html#restore/2"},{"type":"module","title":"ElixirLokaliseApi.SystemLanguages","doc":"System languages endpoint.","ref":"ElixirLokaliseApi.SystemLanguages.html"},{"type":"function","title":"ElixirLokaliseApi.SystemLanguages.all/1","doc":"Finds a collection of items under the given endpoint.","ref":"ElixirLokaliseApi.SystemLanguages.html#all/1"},{"type":"module","title":"ElixirLokaliseApi.Tasks","doc":"Tasks endpoint.","ref":"ElixirLokaliseApi.Tasks.html"},{"type":"function","title":"ElixirLokaliseApi.Tasks.all/2","doc":"Finds a collection of items under the given endpoint.","ref":"ElixirLokaliseApi.Tasks.html#all/2"},{"type":"function","title":"ElixirLokaliseApi.Tasks.create/2","doc":"Creates an item under the given endpoint.","ref":"ElixirLokaliseApi.Tasks.html#create/2"},{"type":"function","title":"ElixirLokaliseApi.Tasks.delete/2","doc":"Deletes an item under the given endpoint.","ref":"ElixirLokaliseApi.Tasks.html#delete/2"},{"type":"function","title":"ElixirLokaliseApi.Tasks.find/3","doc":"Finds an item under the given endpoint.","ref":"ElixirLokaliseApi.Tasks.html#find/3"},{"type":"function","title":"ElixirLokaliseApi.Tasks.update/3","doc":"Updates an item under the given endpoint.","ref":"ElixirLokaliseApi.Tasks.html#update/3"},{"type":"module","title":"ElixirLokaliseApi.TeamUserBillingDetails","doc":"Team user billing details endpoint.","ref":"ElixirLokaliseApi.TeamUserBillingDetails.html"},{"type":"function","title":"ElixirLokaliseApi.TeamUserBillingDetails.create/2","doc":"Creates an item under the given endpoint.","ref":"ElixirLokaliseApi.TeamUserBillingDetails.html#create/2"},{"type":"function","title":"ElixirLokaliseApi.TeamUserBillingDetails.find/1","doc":"Finds an item under the given endpoint.","ref":"ElixirLokaliseApi.TeamUserBillingDetails.html#find/1"},{"type":"function","title":"ElixirLokaliseApi.TeamUserBillingDetails.update/2","doc":"Updates an item under the given endpoint.","ref":"ElixirLokaliseApi.TeamUserBillingDetails.html#update/2"},{"type":"module","title":"ElixirLokaliseApi.TeamUserGroups","doc":"Team user groups endpoint.","ref":"ElixirLokaliseApi.TeamUserGroups.html"},{"type":"function","title":"ElixirLokaliseApi.TeamUserGroups.add_members/3","doc":"Adds members to the given group.","ref":"ElixirLokaliseApi.TeamUserGroups.html#add_members/3"},{"type":"function","title":"ElixirLokaliseApi.TeamUserGroups.add_projects/3","doc":"Adds projects to the given group.","ref":"ElixirLokaliseApi.TeamUserGroups.html#add_projects/3"},{"type":"function","title":"ElixirLokaliseApi.TeamUserGroups.all/2","doc":"Finds a collection of items under the given endpoint.","ref":"ElixirLokaliseApi.TeamUserGroups.html#all/2"},{"type":"function","title":"ElixirLokaliseApi.TeamUserGroups.create/2","doc":"Creates an item under the given endpoint.","ref":"ElixirLokaliseApi.TeamUserGroups.html#create/2"},{"type":"function","title":"ElixirLokaliseApi.TeamUserGroups.delete/2","doc":"Deletes an item under the given endpoint.","ref":"ElixirLokaliseApi.TeamUserGroups.html#delete/2"},{"type":"function","title":"ElixirLokaliseApi.TeamUserGroups.find/3","doc":"Finds an item under the given endpoint.","ref":"ElixirLokaliseApi.TeamUserGroups.html#find/3"},{"type":"function","title":"ElixirLokaliseApi.TeamUserGroups.remove_members/3","doc":"Removes members from the given group.","ref":"ElixirLokaliseApi.TeamUserGroups.html#remove_members/3"},{"type":"function","title":"ElixirLokaliseApi.TeamUserGroups.remove_projects/3","doc":"Removes projects from the given group.","ref":"ElixirLokaliseApi.TeamUserGroups.html#remove_projects/3"},{"type":"function","title":"ElixirLokaliseApi.TeamUserGroups.update/3","doc":"Updates an item under the given endpoint.","ref":"ElixirLokaliseApi.TeamUserGroups.html#update/3"},{"type":"module","title":"ElixirLokaliseApi.TeamUsers","doc":"Team users endpoint.","ref":"ElixirLokaliseApi.TeamUsers.html"},{"type":"function","title":"ElixirLokaliseApi.TeamUsers.all/2","doc":"Finds a collection of items under the given endpoint.","ref":"ElixirLokaliseApi.TeamUsers.html#all/2"},{"type":"function","title":"ElixirLokaliseApi.TeamUsers.delete/2","doc":"Deletes an item under the given endpoint.","ref":"ElixirLokaliseApi.TeamUsers.html#delete/2"},{"type":"function","title":"ElixirLokaliseApi.TeamUsers.find/3","doc":"Finds an item under the given endpoint.","ref":"ElixirLokaliseApi.TeamUsers.html#find/3"},{"type":"function","title":"ElixirLokaliseApi.TeamUsers.update/3","doc":"Updates an item under the given endpoint.","ref":"ElixirLokaliseApi.TeamUsers.html#update/3"},{"type":"module","title":"ElixirLokaliseApi.Teams","doc":"Teams endpoint.","ref":"ElixirLokaliseApi.Teams.html"},{"type":"function","title":"ElixirLokaliseApi.Teams.all/1","doc":"Finds a collection of items under the given endpoint.","ref":"ElixirLokaliseApi.Teams.html#all/1"},{"type":"module","title":"ElixirLokaliseApi.TranslationProviders","doc":"Translation providers endpoint.","ref":"ElixirLokaliseApi.TranslationProviders.html"},{"type":"function","title":"ElixirLokaliseApi.TranslationProviders.all/2","doc":"Finds a collection of items under the given endpoint.","ref":"ElixirLokaliseApi.TranslationProviders.html#all/2"},{"type":"function","title":"ElixirLokaliseApi.TranslationProviders.find/3","doc":"Finds an item under the given endpoint.","ref":"ElixirLokaliseApi.TranslationProviders.html#find/3"},{"type":"module","title":"ElixirLokaliseApi.TranslationStatuses","doc":"Custom translation statuses endpoint.","ref":"ElixirLokaliseApi.TranslationStatuses.html"},{"type":"function","title":"ElixirLokaliseApi.TranslationStatuses.all/2","doc":"Finds a collection of items under the given endpoint.","ref":"ElixirLokaliseApi.TranslationStatuses.html#all/2"},{"type":"function","title":"ElixirLokaliseApi.TranslationStatuses.available_colors/1","doc":"","ref":"ElixirLokaliseApi.TranslationStatuses.html#available_colors/1"},{"type":"function","title":"ElixirLokaliseApi.TranslationStatuses.create/2","doc":"Creates an item under the given endpoint.","ref":"ElixirLokaliseApi.TranslationStatuses.html#create/2"},{"type":"function","title":"ElixirLokaliseApi.TranslationStatuses.delete/2","doc":"Deletes an item under the given endpoint.","ref":"ElixirLokaliseApi.TranslationStatuses.html#delete/2"},{"type":"function","title":"ElixirLokaliseApi.TranslationStatuses.find/3","doc":"Finds an item under the given endpoint.","ref":"ElixirLokaliseApi.TranslationStatuses.html#find/3"},{"type":"function","title":"ElixirLokaliseApi.TranslationStatuses.update/3","doc":"Updates an item under the given endpoint.","ref":"ElixirLokaliseApi.TranslationStatuses.html#update/3"},{"type":"module","title":"ElixirLokaliseApi.Translations","doc":"Translations endpoint.","ref":"ElixirLokaliseApi.Translations.html"},{"type":"function","title":"ElixirLokaliseApi.Translations.all/2","doc":"Finds a collection of items under the given endpoint.","ref":"ElixirLokaliseApi.Translations.html#all/2"},{"type":"function","title":"ElixirLokaliseApi.Translations.find/3","doc":"Finds an item under the given endpoint.","ref":"ElixirLokaliseApi.Translations.html#find/3"},{"type":"function","title":"ElixirLokaliseApi.Translations.update/3","doc":"Updates an item under the given endpoint.","ref":"ElixirLokaliseApi.Translations.html#update/3"},{"type":"module","title":"ElixirLokaliseApi.UrlGenerator","doc":"Generates full URLs for the API endpoints","ref":"ElixirLokaliseApi.UrlGenerator.html"},{"type":"function","title":"ElixirLokaliseApi.UrlGenerator.generate/2","doc":"Returns full URL based on the endpoint path template","ref":"ElixirLokaliseApi.UrlGenerator.html#generate/2"},{"type":"module","title":"ElixirLokaliseApi.Webhooks","doc":"Webhooks endpoint.","ref":"ElixirLokaliseApi.Webhooks.html"},{"type":"function","title":"ElixirLokaliseApi.Webhooks.all/2","doc":"Finds a collection of items under the given endpoint.","ref":"ElixirLokaliseApi.Webhooks.html#all/2"},{"type":"function","title":"ElixirLokaliseApi.Webhooks.create/2","doc":"Creates an item under the given endpoint.","ref":"ElixirLokaliseApi.Webhooks.html#create/2"},{"type":"function","title":"ElixirLokaliseApi.Webhooks.delete/2","doc":"Deletes an item under the given endpoint.","ref":"ElixirLokaliseApi.Webhooks.html#delete/2"},{"type":"function","title":"ElixirLokaliseApi.Webhooks.find/3","doc":"Finds an item under the given endpoint.","ref":"ElixirLokaliseApi.Webhooks.html#find/3"},{"type":"function","title":"ElixirLokaliseApi.Webhooks.regenerate_secret/2","doc":"Regenerates secret key for a webhook.","ref":"ElixirLokaliseApi.Webhooks.html#regenerate_secret/2"},{"type":"function","title":"ElixirLokaliseApi.Webhooks.update/3","doc":"Updates an item under the given endpoint.","ref":"ElixirLokaliseApi.Webhooks.html#update/3"},{"type":"extras","title":"Changelog","doc":"# Changelog\r\n\r\nPlease find full changelog at [lokalise.github.io/elixir-lokalise-api/additional_info/changelog](https://lokalise.github.io/elixir-lokalise-api/additional_info/changelog).","ref":"changelog.html"},{"type":"extras","title":"License","doc":"# BSD 3 Clause\r\n\r\nCopyright 2021 Lokalise Group, Ilya Krukowski\r\n\r\nRedistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:\r\n\r\n1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.\r\n\r\n2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.\r\n\r\n3. Neither the name of the copyright holder nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.\r\n\r\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.","ref":"license.html"},{"type":"extras","title":"Overview","doc":"# ElixirLokaliseApi\r\n\r\n![CI](https://github.com/lokalise/elixir-lokalise-api/actions/workflows/ci.yml/badge.svg)\r\n[![Coverage Status](https://coveralls.io/repos/github/lokalise/elixir-lokalise-api/badge.svg)](https://coveralls.io/github/lokalise/elixir-lokalise-api)\r\n[![Module Version](https://img.shields.io/hexpm/v/elixir_lokalise_api.svg)](https://hex.pm/packages/elixir_lokalise_api)\r\n[![Hex Docs](https://img.shields.io/badge/hex-docs-lightgreen.svg)](https://hexdocs.pm/elixir_lokalise_api/)\r\n[![Total Download](https://img.shields.io/hexpm/dt/elixir_lokalise_api.svg)](https://hex.pm/packages/elixir_lokalise_api)\r\n[![License](https://img.shields.io/hexpm/l/elixir_lokalise_api.svg)](https://github.com/elixir-lokalise-api/elixir_lokalise_api/blob/master/LICENSE.md)\r\n[![Last Updated](https://img.shields.io/github/last-commit/lokalise/elixir-lokalise-api.svg)](https://github.com/lokalise/elixir-lokalise-api/commits/master)\r\n\r\nOfficial Elixir interface for Lokalise APIv2.","ref":"readme.html"},{"type":"extras","title":"Quickstart - Overview","doc":"Add a new dependency to `mix.exs`:\r\n\r\n```elixir\r\ndef deps do\r\n  [\r\n    {:elixir_lokalise_api, \"~> 3.3\"}\r\n  ]\r\nend\r\n```\r\n\r\nPut your Lokalise API token into `config.exs`:\r\n\r\n```elixir\r\nconfig :elixir_lokalise_api, api_token: \"LOKALISE_API_TOKEN\"\r\n```\r\n\r\nIf you are using ENV variables, use the following approach:\r\n\r\n```elixir\r\nconfig :elixir_lokalise_api, api_token: {:system, \"LOKALISE_API_TOKEN\"}\r\n```\r\n\r\nNow you can perform API calls:\r\n\r\n```elixir\r\nproject_data = %{name: \"Elixir\", description: \"Created via API\"}\r\n{:ok, project} = ElixirLokaliseApi.Projects.create(project_data)\r\n\r\nproject.name |> IO.puts # => \"Elixir\"\r\n\r\ntranslation_data = %{\r\n  data: \"ZnI6...\",\r\n  filename: \"sample.yml\",\r\n  lang_iso: \"en\"\r\n}\r\n{:ok, process} = ElixirLokaliseApi.Files.upload(project.project_id, data)\r\n\r\n{:ok, process} = QueuedProcesses.find(project.project_id, process.process_id)\r\n\r\nprocess.status |> IO.puts # => \"finished\"\r\n```","ref":"readme.html#quickstart"},{"type":"extras","title":"Documentation - Overview","doc":"All documentation and usage examples can be found at [lokalise.github.io/elixir-lokalise-api](https://lokalise.github.io/elixir-lokalise-api/).\r\n\r\nBrief API reference is also available at [hexdocs.pm](https://hexdocs.pm/elixir_lokalise_api/).","ref":"readme.html#documentation"},{"type":"extras","title":"Copyright and License - Overview","doc":"Licensed under the [BSD 3 Clause license](./LICENSE.md).\r\n\r\nCopyright (c) 2022 Lokalise group and [Ilya Krukowski](http://bodrovis.tech)","ref":"readme.html#copyright-and-license"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}